Subject: [dhcwg] IETF-109 Virtual - Request for DHC Session Agenda Items

From: Timothy Winters <[email-masked]>
Date: Mon, 14 Sep 2020 12:36:43 -0400

As you’ve no doubt seen by now, IETF-109 will be virtual, November 16 - 20,
2020. It is time to consider whether to schedule a DHC WG session.

If you have any interest in presenting to a DHC WG during IETF-109, please
submit a request by Tuesday, September 29th, 2020. Bernie & I must submit a
request for a session by Friday, October 2nd deadline (see
https://datatracker.ietf.org/meeting/important-dates/). This will help us
determine whether we request a session (two session lengths, 60 or 120
minutes, are being offered).

As in the past, please provide (to at least the chairs – email
[email-masked]):

Title Of Session:
Presenter:
Related Drafts:
Time Required:
Purpose of Session:

We do want to remind those requesting time that you should focus on
discussing key issues that need resolution to move a draft forward or to
introduce potential new work.

At present, the work items / status for the WG are:

   1. RFC8415 – advance to full standard (this will probably need to await
   a rescheduled Univ. of New Hampshire Interoperability Lab plug fest)
   2. draft-ietf-dhc-dhcpv6-pd-relay-requirements, DHCPv6 Prefix Delegating
   Relay (WGLC)
   3. draft-ietf-dhc-mac-assign, Link-Layer Addresses Assignment Mechanism
   for DHCPv6 (RFC Editor)
   4. draft-ietf-dhc-slap-quadrant, SLAP quadrant selection options for
   DHCPv6 (IESG Review)
   5. draft-ietf-dhc-v6only, IPv6-Only-Preferred Option for DHCP (RFC
   Editor)
   6. draft-ietf-dhc-dhcpv6-yang, YANG Data Model for DHCPv6 Configuration
   (Working Group Document, WGLC?)

Any other documents would need to be submitted soon for the working group
to have time to review before IETF 109.

Thanks!
~Tim and Bernie

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Fri, 25 Sep 2020 16:07:42 +0000

Hi:

Just a friendly reminder as the deadline is approaching for us to decide whether to request a session for virtual IETF-109.

There have been no requests to date.

Tim and I suspect there may be nothing for us to discuss given the current status, but if we are incorrect, please let us know ASAP.

The outstanding work items for the WG are:

  *   draft-ietf-dhc-dhcpv6-pd-relay-requirements – waiting for an update before it will go to the AD / IETF Last Call.
  *   draft-ietf-dhc-dhcpv6-yang – needs review and discussion – see https://mailarchive.ietf.org/arch/msg/dhcwg/9ZP-IRBpvXwHAaPqqvVjuo_nLi4/ for details on last set of changes were where rather major.
  *   draft-ietf-dhc-slap-quadrant – waiting on authors to clear last few issues
  *   Advancing RFC8415 to “Internet Standard” – pending (awaiting UNH Interoperability Lab test event and see below)

Regarding advancing RFC8415, the requirements (from RFC6410 section 2.2) are:

   The IESG, in an IETF-wide Last Call of at least four weeks, confirms
   that a document advances from Proposed Standard to Internet Standard.
   The request for reclassification is sent to the IESG along with an
   explanation of how the criteria have been met.  The criteria are:

   (1) There are at least two independent interoperating implementations
       with widespread deployment and successful operational experience.

   (2) There are no errata against the specification that would cause a
       new implementation to fail to interoperate with deployed ones.

   (3) There are no unused features in the specification that greatly
       increase implementation complexity.

   (4) If the technology required to implement the specification
       requires patented or otherwise controlled technology, then the
       set of implementations must demonstrate at least two independent,
       separate and successful uses of the licensing process.

While there are three (3) Errata, they are all very minor issues – see https://www.rfc-editor.org/errata_search.php?rfc=8415.

  *   Bernie

From: dhcwg <[email-masked]> On Behalf Of Timothy Winters
Sent: Monday, September 14, 2020 12:37 PM
To: dhcwg <[email-masked]>
Subject: [dhcwg] IETF-109 Virtual - Request for DHC Session Agenda Items

As you’ve no doubt seen by now, IETF-109 will be virtual, November 16 - 20, 2020. It is time to consider whether to schedule a DHC WG session.

If you have any interest in presenting to a DHC WG during IETF-109, please submit a request by Tuesday, September 29th, 2020. Bernie & I must submit a request for a session by Friday, October 2nd deadline (see https://datatracker.ietf.org/meeting/important-dates/). This will help us determine whether we request a session (two session lengths, 60 or 120 minutes, are being offered).

As in the past, please provide (to at least the chairs – email [email-masked]<mailto:[email-masked]>):

Title Of Session:
Presenter:
Related Drafts:
Time Required:
Purpose of Session:

We do want to remind those requesting time that you should focus on discussing key issues that need resolution to move a draft forward or to introduce potential new work.
At present, the work items / status for the WG are:

  1.  RFC8415 – advance to full standard (this will probably need to await a rescheduled Univ. of New Hampshire Interoperability Lab plug fest)
  2.  draft-ietf-dhc-dhcpv6-pd-relay-requirements, DHCPv6 Prefix Delegating Relay (WGLC)
  3.  draft-ietf-dhc-mac-assign, Link-Layer Addresses Assignment Mechanism for DHCPv6 (RFC Editor)
  4.  draft-ietf-dhc-slap-quadrant, SLAP quadrant selection options for DHCPv6 (IESG Review)
  5.  draft-ietf-dhc-v6only, IPv6-Only-Preferred Option for DHCP (RFC Editor)
  6.  draft-ietf-dhc-dhcpv6-yang, YANG Data Model for DHCPv6 Configuration (Working Group Document, WGLC?)
Any other documents would need to be submitted soon for the working group to have time to review before IETF 109.

Thanks!
~Tim and Bernie